/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: precompiled_basic.hxx,v $
 * $Revision: 1.5 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

// MARKER(update_precomp.py): Generated on 2006-09-01 17:49:31.374198

#ifdef PRECOMPILED_HEADERS

//---MARKER---

#include "com/sun/star/awt/XControl.hpp"
#include "com/sun/star/awt/XControlContainer.hpp"
#include "com/sun/star/awt/XControlModel.hpp"
#include "com/sun/star/awt/XDialog.hpp"
#include "com/sun/star/awt/XWindow.hpp"
#include "com/sun/star/beans/MethodConcept.hpp"
#include "com/sun/star/beans/PropertyAttribute.hpp"
#include "com/sun/star/beans/PropertyConcept.hpp"
#include "com/sun/star/beans/PropertyValue.hpp"
#include "com/sun/star/beans/XExactName.hpp"
#include "com/sun/star/beans/XIntrospection.hpp"
#include "com/sun/star/beans/XIntrospectionAccess.hpp"
#include "com/sun/star/beans/XMaterialHolder.hpp"
#include "com/sun/star/beans/XPropertyAccess.hpp"
#include "com/sun/star/beans/XPropertyContainer.hpp"
#include "com/sun/star/beans/XPropertySet.hpp"
#include "com/sun/star/beans/XPropertySetInfo.hpp"
#include "com/sun/star/bridge/XBridge.hpp"
#include "com/sun/star/bridge/XBridgeFactory.hpp"
#include "com/sun/star/bridge/oleautomation/Currency.hpp"
#include "com/sun/star/bridge/oleautomation/Date.hpp"
#include "com/sun/star/bridge/oleautomation/Decimal.hpp"
#include "com/sun/star/bridge/oleautomation/NamedArgument.hpp"
#include "com/sun/star/container/XContainer.hpp"
#include "com/sun/star/container/XEnumeration.hpp"
#include "com/sun/star/container/XEnumerationAccess.hpp"
#include "com/sun/star/container/XHierarchicalNameAccess.hpp"
#include "com/sun/star/container/XIndexAccess.hpp"
#include "com/sun/star/container/XNameAccess.hpp"
#include "com/sun/star/container/XNameContainer.hpp"
#include "com/sun/star/document/XDocumentInfoSupplier.hpp"
#include "com/sun/star/document/XStorageBasedDocument.hpp"
#include "com/sun/star/embed/ElementModes.hpp"
#include "com/sun/star/embed/XEncryptionProtectedSource.hpp"
#include "com/sun/star/embed/XStorage.hpp"
#include "com/sun/star/embed/XTransactedObject.hpp"
#include "com/sun/star/frame/XModel.hpp"
#include "com/sun/star/i18n/XCalendar.hpp"
#include "com/sun/star/io/XActiveDataSource.hpp"
#include "com/sun/star/io/XInputStream.hpp"
#include "com/sun/star/io/XOutputStream.hpp"
#include "com/sun/star/io/XSeekable.hpp"
#include "com/sun/star/io/XStream.hpp"
#include "com/sun/star/io/XTextOutputStream.hpp"
#include "com/sun/star/lang/Locale.hpp"
#include "com/sun/star/lang/XComponent.hpp"
#include "com/sun/star/lang/XInitialization.hpp"
#include "com/sun/star/lang/XMultiServiceFactory.hpp"
#include "com/sun/star/lang/XServiceInfo.hpp"
#include "com/sun/star/lang/XSingleServiceFactory.hpp"
#include "com/sun/star/lang/XTypeProvider.hpp"
#include "com/sun/star/reflection/XIdlArray.hpp"
#include "com/sun/star/reflection/XIdlClass.hpp"
#include "com/sun/star/reflection/XIdlClassProvider.hpp"
#include "com/sun/star/reflection/XIdlReflection.hpp"
#include "com/sun/star/reflection/XTypeDescription.hpp"
#include "com/sun/star/registry/XImplementationRegistration.hpp"
#include "com/sun/star/script/ArrayWrapper.hpp"
#include "com/sun/star/script/BasicErrorException.hpp"
#include "com/sun/star/script/ScriptEventDescriptor.hpp"
#include "com/sun/star/script/XAllListener.hpp"
#include "com/sun/star/script/XDefaultMethod.hpp"
#include "com/sun/star/script/XDefaultProperty.hpp"
#include "com/sun/star/script/XEventAttacher.hpp"
#include "com/sun/star/script/XInvocation.hpp"
#include "com/sun/star/script/XInvocationAdapterFactory.hpp"
#include "com/sun/star/script/XLibraryContainer.hpp"
#include "com/sun/star/script/XLibraryContainer2.hpp"
#include "com/sun/star/script/XLibraryContainerExport.hpp"
#include "com/sun/star/script/XLibraryContainerPassword.hpp"
#include "com/sun/star/script/XScriptEventsAttacher.hpp"
#include "com/sun/star/script/XScriptEventsSupplier.hpp"
#include "com/sun/star/script/XStarBasicAccess.hpp"
#include "com/sun/star/script/XStarBasicDialogInfo.hpp"
#include "com/sun/star/script/XStarBasicLibraryInfo.hpp"
#include "com/sun/star/script/XStarBasicModuleInfo.hpp"
#include "com/sun/star/script/XTypeConverter.hpp"
#include "com/sun/star/script/provider/XScriptProvider.hpp"
#include "com/sun/star/script/provider/XScriptProviderFactory.hpp"
#include "com/sun/star/script/provider/XScriptProviderSupplier.hpp"
#include "com/sun/star/task/ErrorCodeIOException.hpp"
#include "com/sun/star/ucb/XContentProvider.hpp"
#include "com/sun/star/ucb/XContentProviderManager.hpp"
#include "com/sun/star/ucb/XSimpleFileAccess.hpp"
#include "com/sun/star/ucb/XSimpleFileAccess3.hpp"
#include "com/sun/star/uno/Any.hxx"
#include "com/sun/star/uno/DeploymentException.hpp"
#include "com/sun/star/uno/Sequence.hxx"
#include "com/sun/star/uno/XComponentContext.hpp"
#include "com/sun/star/util/DateTime.hpp"
#include "com/sun/star/util/XMacroExpander.hpp"
#include "com/sun/star/util/XStringSubstitution.hpp"
#include "com/sun/star/xml/sax/InputSource.hpp"
#include "com/sun/star/xml/sax/XDocumentHandler.hpp"
#include "com/sun/star/xml/sax/XExtendedDocumentHandler.hpp"
#include "com/sun/star/xml/sax/XParser.hpp"

#include "comphelper/anytostring.hxx"
#include "comphelper/componentmodule.hxx"
#include "comphelper/processfactory.hxx"
#include "comphelper/regpathhelper.hxx"
#include "comphelper/stl_types.hxx"
#include "comphelper/storagehelper.hxx"

#include "cppuhelper/basemutex.hxx"
#include "cppuhelper/component.hxx"
#include "cppuhelper/exc_hlp.hxx"
#include "cppuhelper/factory.hxx"
#include "cppuhelper/implbase1.hxx"
#include "cppuhelper/implbase2.hxx"
#include "cppuhelper/implbase5.hxx"
#include "cppuhelper/interfacecontainer.hxx"
#include "cppuhelper/servicefactory.hxx"
#include "cppuhelper/typeprovider.hxx"

#include "i18npool/lang.h"

#include "osl/file.hxx"
#include "osl/module.h"
#include "osl/mutex.hxx"
#include "osl/process.h"
#include "osl/security.h"
#include "osl/time.h"

#include "rtl/byteseq.hxx"
#include "rtl/digest.h"
#include "rtl/instance.hxx"
#include "rtl/math.hxx"
#include "rtl/strbuf.hxx"
#include "rtl/textenc.h"
#include "rtl/ustrbuf.hxx"
#include "rtl/ustring.hxx"

#include "sal/alloca.h"
#include "sal/types.h"

#include "sot/storage.hxx"
#include "sot/storinfo.hxx"

#include "svtools/brdcst.hxx"
#include "svtools/ctrlbox.hxx"
#include "svtools/ctrltool.hxx"
#include "svtools/ehdl.hxx"
#include "svtools/filedlg.hxx"
#include "svtools/hint.hxx"
#include "svtools/lstner.hxx"
#include "svtools/pathoptions.hxx"
#include "svtools/sfxecode.hxx"
#include "svtools/smplhint.hxx"
#include "svtools/solar.hrc"
#include "svtools/stringtransfer.hxx"
#include "svtools/svarray.hxx"
#include "svtools/svdde.hxx"
#include "svtools/svmedit.hxx"
#include "svtools/svstdarr.hxx"
#include "svtools/svtdata.hxx"
#include "svtools/svtools.hrc"
#include "svtools/svtreebx.hxx"
#include "svtools/syslocale.hxx"
#include "svtools/taskbar.hxx"
#include "svtools/textdata.hxx"
#include "svtools/texteng.hxx"
#include "svtools/textview.hxx"
#include "svtools/transfer.hxx"
#include "svtools/txtattr.hxx"
#include "svtools/undo.hxx"
#include "svtools/zforlist.hxx"
#include "svtools/zformat.hxx"


#include "tools/color.hxx"
#include "tools/config.hxx"
#include "tools/date.hxx"
#include "tools/debug.hxx"
#include "tools/diagnose_ex.h"
#include "tools/errcode.hxx"
#include "tools/errinf.hxx"
#include "tools/fsys.hxx"
#include "tools/gen.hxx"
#include "tools/link.hxx"
#include "tools/list.hxx"
#include "tools/rc.hxx"
#include "tools/rcid.h"
#include "tools/ref.hxx"
#include "tools/resid.hxx"
#include "tools/rtti.hxx"
#include "tools/shl.hxx"
#include "tools/solar.h"
#include "tools/stream.hxx"
#include "tools/string.hxx"
#include "tools/table.hxx"
#include "tools/tenccvt.hxx"
#include "tools/time.hxx"
#include "tools/urlobj.hxx"
#include "tools/wldcrd.hxx"

#include "ucbhelper/configurationkeys.hxx"
#include "ucbhelper/content.hxx"
#include "ucbhelper/contentbroker.hxx"

#include "unotools/charclass.hxx"
#include "unotools/eventlisteneradapter.hxx"
#include "unotools/localedatawrapper.hxx"
#include "unotools/streamwrap.hxx"
#include "unotools/transliterationwrapper.hxx"
#include "unotools/ucbstreamhelper.hxx"


#include "vcl/accel.hxx"
#include "vcl/button.hxx"
#include "vcl/decoview.hxx"
#include "vcl/dialog.hxx"
#include "vcl/dockwin.hxx"
#include "vcl/edit.hxx"
#include "vcl/field.hxx"
#include "vcl/fixed.hxx"
#include "vcl/floatwin.hxx"
#include "vcl/font.hxx"
#include "vcl/gradient.hxx"
#include "vcl/graph.hxx"
#include "vcl/help.hxx"
#include "vcl/image.hxx"
#include "vcl/jobset.hxx"
#include "vcl/lstbox.hxx"
#include "vcl/mapmod.hxx"
#include "vcl/menu.hxx"
#include "vcl/metric.hxx"
#include "vcl/msgbox.hxx"
#include "vcl/print.hxx"
#include "vcl/scrbar.hxx"
#include "vcl/settings.hxx"
#include "vcl/sound.hxx"
#include "vcl/splitwin.hxx"
#include "vcl/status.hxx"
#include "vcl/svapp.hxx"
#include "vcl/tabctrl.hxx"
#include "vcl/tabdlg.hxx"
#include "vcl/tabpage.hxx"
#include "vcl/timer.hxx"
#include "vcl/toolbox.hxx"
#include "vcl/window.hxx"
#include "vcl/wintypes.hxx"
#include "vcl/wrkwin.hxx"

#include "vos/diagnose.hxx"
#include "vos/macros.hxx"
#include "vos/mutex.hxx"
#include "vos/process.hxx"

#include "xmlscript/xmldlg_imexp.hxx"
#include "xmlscript/xmllib_imexp.hxx"
#include "xmlscript/xmlmod_imexp.hxx"
//---MARKER---

#endif
